Retrieves a field by name

- « SolrInputDocument::getChildDocumentsCount

- SolrInputDocument::getFieldBoost »

- PHP Manual
- SolrInputDocument
- Retrieves a field by name

# SolrInputDocument::getField

(PECL solr >= 0.9.2)

SolrInputDocument::getField — Retrieves a field by name

### Description

public SolrInputDocument::getField(string `$fieldName`): SolrDocumentField

Retrieves a field in the document.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns a SolrDocumentField object on success and `false` on failure.